#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        A ssh-add helper that uses kwallet and kpassworddialog
Name:           ksshaskpass
Epoch:          1
Version: 6.2.3
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Test)

BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Wallet)
BuildRequires:  cmake(KF6WidgetsAddons)

Requires(post):	update-alternatives
Requires(postun):	update-alternatives

Requires:	openssh-askpass-common
Provides:	openssh-askpass
Provides:	ssh-askpass
Provides:	ssh-extras

Obsoletes:	openssh-askpass-qt5 < 2.1.0-11
Provides:	openssh-askpass-qt5 = %{version}-%{release}


%description
A ssh-add helper that uses kwallet and kpassworddialog.

%post
update-alternatives --install %{_libexecdir}/openssh/ssh-askpass ssh-askpass %{_kf6_bindir}/%{name} 40
update-alternatives --install %{_bindir}/ssh-askpass bssh-askpass %{_kf6_bindir}/%{name} 40

%postun
[ $1 = 0 ] || exit 0
update-alternatives --remove ssh-askpass %{_kf6_bindir}/%{name}
update-alternatives --remove bssh-askpass %{_kf6_bindir}/%{name}

%triggerin -- ksshaskpass < 0.5
update-alternatives --remove ssh-askpass %{_libdir}/ssh/%{name}
update-alternatives --remove bssh-askpass %{_libdir}/ssh/%{name}


%files -f %{name}6.lang
%_kf6_bindir/ksshaskpass
%_kf6_applicationsdir/org.kde.ksshaskpass.desktop
%_kf6_mandir/man1/ksshaskpass.1.*

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %{name}6 --all-name


%changelog
* Sat Nov 09 2024 daviddavid <daviddavid> 1:6.2.3-1.mga10
+ Revision: 2113153
- New version 6.2.3

* Tue Oct 22 2024 daviddavid <daviddavid> 1:6.2.2-1.mga10
+ Revision: 2110032
- New version 6.2.2

* Wed Oct 16 2024 daviddavid <daviddavid> 1:6.2.1-1.mga10
+ Revision: 2107209
- New version 6.2.1

* Sat Oct 12 2024 daviddavid <daviddavid> 1:6.2.0-1.mga10
+ Revision: 2105156
- New version 6.2.0

* Thu Oct 03 2024 daviddavid <daviddavid> 1:6.1.90-2.mga10
+ Revision: 2102956
- fix typo in command line Exec name from desktop file

* Mon Sep 16 2024 neoclust <neoclust> 1:6.1.90-1.mga10
+ Revision: 2097058
- New version 6.1.90

* Wed Aug 07 2024 daviddavid <daviddavid> 1:6.1.4-1.mga10
+ Revision: 2083902
- New version 6.1.4

* Tue Jul 02 2024 daviddavid <daviddavid> 1:6.1.2-1.mga10
+ Revision: 2079112
- New version 6.1.2

* Tue Jun 25 2024 daviddavid <daviddavid> 1:6.1.1-1.mga10
+ Revision: 2076709
- New version 6.1.1

* Tue Jun 18 2024 neoclust <neoclust> 1:6.1.0-1.mga10
+ Revision: 2074816
- New version 6.1.0

* Tue Jun 04 2024 neoclust <neoclust> 1:6.0.90-1.mga10
+ Revision: 2069797
- New version 6.0.90

* Tue Apr 16 2024 daviddavid <daviddavid> 1:6.0.4-1.mga10
+ Revision: 2057911
- New version 6.0.4

* Wed Mar 27 2024 daviddavid <daviddavid> 1:6.0.3-1.mga10
+ Revision: 2052472
- New version 6.0.3

* Mon Mar 25 2024 daviddavid <daviddavid> 1:6.0.2-2.mga10
+ Revision: 2052071
- obsoletes/provides unmaintained openssh-askpass-qt5 to use ksshaskpass by
  default on full plasma system

* Tue Mar 12 2024 daviddavid <daviddavid> 1:6.0.2-1.mga10
+ Revision: 2049387
- New version 6.0.2

* Thu Mar 07 2024 daviddavid <daviddavid> 1:6.0.1-1.mga10
+ Revision: 2048136
- New version 6.0.1

* Wed Feb 28 2024 neoclust <neoclust> 1:6.0.0-1.mga10
+ Revision: 2044994
- New version 6.0.0

* Fri Feb 02 2024 neoclust <neoclust> 1:5.93.0-1.mga10
+ Revision: 2036783
- New version 5.93.0

* Wed Jan 10 2024 neoclust <neoclust> 1:5.92.0-1.mga10
+ Revision: 2029644
- New version 5.92.0

* Mon Jan 01 2024 neoclust <neoclust> 1:5.91.0-1.mga10
+ Revision: 2025684
- New version 5.91.0
- New version 5.90.0
- New version 5.90.0

* Mon Nov 13 2023 neoclust <neoclust> 1:5.27.80-1.mga10
+ Revision: 2006487
- New version 5.27.80

* Wed Oct 25 2023 daviddavid <daviddavid> 1:5.27.9-1.mga10
+ Revision: 2001113
- New version 5.27.9

* Wed Sep 20 2023 daviddavid <daviddavid> 1:5.27.8-1.mga10
+ Revision: 1988239
- New version 5.27.8

* Fri May 26 2023 neoclust <neoclust> 1:5.27.5-1.mga9
+ Revision: 1958042
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 1:5.27.4-1.mga9
+ Revision: 1951955
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 1:5.27.3-1.mga9
+ Revision: 1949080
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 1:5.27.2-1.mga9
+ Revision: 1945787
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 1:5.27.1-1.mga9
+ Revision: 1944799
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 1:5.27.0-1.mga9
+ Revision: 1942066
- New version 5.27.0

* Mon Jan 23 2023 neoclust <neoclust> 1:5.26.90-1.mga9
+ Revision: 1935074
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 1:5.26.5-1.mga9
+ Revision: 1930063
- New version 5.26.5

* Thu Dec 15 2022 neoclust <neoclust> 1:5.26.4-1.mga9
+ Revision: 1923115
- New version 5.26.4

* Tue Nov 15 2022 neoclust <neoclust> 1:5.26.3-1.mga9
+ Revision: 1907534
- New version 5.26.3
- New version 5.26.2

* Fri Sep 16 2022 neoclust <neoclust> 1:5.25.90-1.mga9
+ Revision: 1889248
- New version 5.25.90

* Fri Aug 05 2022 neoclust <neoclust> 1:5.25.4-1.mga9
+ Revision: 1875465
- New version 5.25.4

* Tue Jul 26 2022 neoclust <neoclust> 1:5.25.3-1.mga9
+ Revision: 1872278
- New version 5.25.3
- New version 5.25.3
- New version 5.24.5

* Wed Apr 06 2022 umeabot <umeabot> 1:5.24.4-2.mga9
+ Revision: 1845863
- Mageia 9 Mass Rebuild
+ neoclust <neoclust>
- New version 5.24.4

* Sun Jan 02 2022 neoclust <neoclust> 1:5.23.4-1.mga9
+ Revision: 1766163
- New version 5.23.4

* Mon Nov 15 2021 neoclust <neoclust> 1:5.23.3-1.mga9
+ Revision: 1756828
- New version 5.23.3

* Fri Oct 08 2021 neoclust <neoclust> 1:5.23.0-1.mga9
+ Revision: 1750079
- New version 5.23.0
- New version 5.22.90

* Thu Jul 15 2021 neoclust <neoclust> 1:5.22.3-1.mga9
+ Revision: 1736172
- New version 5.22.3

* Thu May 06 2021 daviddavid <daviddavid> 1:5.21.5-1.mga9
+ Revision: 1721756
- New version 5.21.5

* Mon Apr 12 2021 daviddavid <daviddavid> 1:5.21.4-1.mga9
+ Revision: 1715390
- New version 5.21.4

* Thu Mar 18 2021 daviddavid <daviddavid> 1:5.21.3-1.mga9
+ Revision: 1704267
- New version 5.21.3

* Wed Mar 03 2021 daviddavid <daviddavid> 1:5.21.2-1.mga9
+ Revision: 1697437
- New version 5.21.2

* Sat Feb 27 2021 daviddavid <daviddavid> 1:5.21.1-1.mga9
+ Revision: 1692640
- New version 5.21.1

* Mon Dec 07 2020 daviddavid <daviddavid> 1:5.20.4-1.mga8
+ Revision: 1654191
- New version 5.20.4

* Sat Nov 14 2020 daviddavid <daviddavid> 1:5.20.3-1.mga8
+ Revision: 1645406
- New version 5.20.3

* Wed Oct 28 2020 daviddavid <daviddavid> 1:5.20.2-1.mga8
+ Revision: 1639983
- New version 5.20.2

* Wed Oct 21 2020 daviddavid <daviddavid> 1:5.20.1-1.mga8
+ Revision: 1637736
- New version 5.20.1

* Tue Oct 13 2020 daviddavid <daviddavid> 1:5.20.0-1.mga8
+ Revision: 1635440
- New version 5.20.0

* Wed Sep 02 2020 daviddavid <daviddavid> 1:5.19.5-1.mga8
+ Revision: 1620777
- New version 5.19.5

* Wed Jul 29 2020 daviddavid <daviddavid> 1:5.19.4-1.mga8
+ Revision: 1609602
- New version 5.19.4

* Wed Jul 08 2020 neoclust <neoclust> 1:5.19.3-1.mga8
+ Revision: 1603001
- New version 5.19.3

* Tue Jun 23 2020 daviddavid <daviddavid> 1:5.19.2-1.mga8
+ Revision: 1598716
- New version 5.19.2

* Wed Jun 17 2020 daviddavid <daviddavid> 1:5.19.1-1.mga8
+ Revision: 1594010
- New version 5.19.1
+ neoclust <neoclust>
- New version 5.18.90

* Wed May 06 2020 daviddavid <daviddavid> 1:5.18.5-1.mga8
+ Revision: 1580750
- New version 5.18.5
- New version 5.18.4.1

* Tue Mar 17 2020 daviddavid <daviddavid> 1:5.18.3-1.mga8
+ Revision: 1557150
- New version 5.18.3

* Tue Feb 25 2020 daviddavid <daviddavid> 1:5.18.2-1.mga8
+ Revision: 1550376
- New version 5.18.2

* Fri Feb 21 2020 daviddavid <daviddavid> 1:5.18.1-1.mga8
+ Revision: 1548242
- New version 5.18.1

* Thu Feb 20 2020 umeabot <umeabot> 1:5.18.0-2.mga8
+ Revision: 1547126
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 1:5.18.0-1.mga8
+ Revision: 1496261
- New version 5.18.0

* Thu Feb 06 2020 neoclust <neoclust> 1:5.17.90-1.mga8
+ Revision: 1487401
- New version 5.17.90
+ wally <wally>
- build with new cmake macros

* Wed Dec 04 2019 daviddavid <daviddavid> 1:5.17.4-1.mga8
+ Revision: 1464298
- New version 5.17.4

* Fri Nov 15 2019 daviddavid <daviddavid> 1:5.17.3-1.mga8
+ Revision: 1460056
- New version 5.17.3

* Wed Oct 30 2019 daviddavid <daviddavid> 1:5.17.2-1.mga8
+ Revision: 1456767
- New version 5.17.2

* Wed Oct 23 2019 daviddavid <daviddavid> 1:5.17.1-1.mga8
+ Revision: 1455332
- New version 5.17.1

* Mon Oct 14 2019 neoclust <neoclust> 1:5.17.0-1.mga8
+ Revision: 1453164
- New version 5.17.0

* Sun Sep 29 2019 neoclust <neoclust> 1:5.16.90-1.mga8
+ Revision: 1448060
- New version 5.16.90

* Wed Sep 04 2019 neoclust <neoclust> 1:5.16.5-1.mga8
+ Revision: 1437048
- New version 5.16.5

* Wed Jul 31 2019 neoclust <neoclust> 1:5.16.4-1.mga8
+ Revision: 1426316
- New version 5.16.4

* Thu Jul 11 2019 neoclust <neoclust> 1:5.16.3-1.mga8
+ Revision: 1420153
- New version 5.16.3

* Mon Apr 08 2019 neoclust <neoclust> 1:5.15.4-1.mga7
+ Revision: 1386848
- New version 5.15.4

* Sun Mar 31 2019 umeabot <umeabot> 1:5.15.3-2.mga7
+ Revision: 1382892
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 1:5.15.3-1.mga7
+ Revision: 1374927
- New version 5.15.3

* Thu Feb 28 2019 neoclust <neoclust> 1:5.15.2-1.mga7
+ Revision: 1370554
- New version 5.15.2

* Tue Feb 19 2019 neoclust <neoclust> 1:5.15.1-1.mga7
+ Revision: 1368594
- New version 5.15.1

* Fri Feb 15 2019 neoclust <neoclust> 1:5.15.0-1.mga7
+ Revision: 1367229
- New version 5.15.0

* Mon Jan 14 2019 neoclust <neoclust> 1:5.14.5-1.mga7
+ Revision: 1356178
- New version 5.14.5

* Sun Dec 09 2018 neoclust <neoclust> 1:5.14.4-1.mga7
+ Revision: 1339315
- New version 5.14.4

* Wed Oct 24 2018 neoclust <neoclust> 1:5.14.2-1.mga7
+ Revision: 1324874
- New version 5.14.2

* Sun Sep 23 2018 umeabot <umeabot> 1:5.13.4-2.mga7
+ Revision: 1298667
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 neoclust <neoclust> 1:5.13.4-1.mga7
+ Revision: 1250510
- New version 5.13.4

* Fri Feb 23 2018 neoclust <neoclust> 1:5.12.2-1.mga7
+ Revision: 1204445
- New version 5.12.2

* Wed Feb 14 2018 neoclust <neoclust> 1:5.12.1-1.mga7
+ Revision: 1200991
- New version 5.12.1

* Thu Jan 18 2018 neoclust <neoclust> 1:5.11.95-1.mga7
+ Revision: 1194297
- New version 5.11.95

* Wed Dec 27 2017 neoclust <neoclust> 1:5.11.4-1.mga7
+ Revision: 1185685
- New version 5.11.4

* Fri Oct 27 2017 neoclust <neoclust> 1:5.11.2-1.mga7
+ Revision: 1174105
- New version 5.11.2

* Tue Oct 17 2017 neoclust <neoclust> 1:5.11.1-1.mga7
+ Revision: 1172390
- New version 5.11.1

* Sun Oct 01 2017 neoclust <neoclust> 1:5.10.95-1.mga7
+ Revision: 1162398
- New version 5.10.95
- New version 5.10.5

* Tue Aug 01 2017 pterjan <pterjan> 1:5.10.4-2.mga7
+ Revision: 1133591
- Fix for new find_lang

* Sat Jul 22 2017 neoclust <neoclust> 1:5.10.4-1.mga7
+ Revision: 1128204
- New version 5.10.4
- New version 5.10.3

* Fri May 26 2017 neoclust <neoclust> 1:5.8.7-1.mga6
+ Revision: 1104841
- New version 5.8.7

* Fri Mar 17 2017 ngompa <ngompa> 1:5.8.6-2.mga6
+ Revision: 1093294
- Add missing Requires(post,postun) for update-alternatives

* Mon Mar 06 2017 neoclust <neoclust> 1:5.8.6-1.mga6
+ Revision: 1089027
- New version 5.8.6

* Tue Dec 27 2016 neoclust <neoclust> 1:5.8.5-1.mga6
+ Revision: 1078162
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 1:5.8.4-1.mga6
+ Revision: 1070719
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 1:5.8.3-2.mga6
+ Revision: 1065136
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 1:5.8.3-1.mga6
+ Revision: 1064480
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 1:5.8.2-1.mga6
+ Revision: 1063050
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 1:5.8.1-1.mga6
+ Revision: 1060275
- New version 5.8.1

* Thu Sep 29 2016 neoclust <neoclust> 1:5.8.0-1.mga6
+ Revision: 1057601
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 1:5.7.95-1.mga6
+ Revision: 1053057
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 1:5.7.5-1.mga6
+ Revision: 1052684
- New version 5.7.5

* Wed Aug 24 2016 neoclust <neoclust> 1:5.7.4-1.mga6
+ Revision: 1048349
- New version 5.7.4

* Wed Aug 10 2016 akien <akien> 1:5.7.3-3.mga6
+ Revision: 1045360
- Fix path to ssh-askpass alternative

* Tue Aug 09 2016 neoclust <neoclust> 1:5.7.3-2.mga6
+ Revision: 1045177
- Use kf5 macros

* Tue Aug 02 2016 neoclust <neoclust> 1:5.7.3-1.mga6
+ Revision: 1044270
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 1:5.7.2-1.mga6
+ Revision: 1042558
- New version 5.7.2

* Tue Jul 12 2016 neoclust <neoclust> 1:5.7.1-1.mga6
+ Revision: 1041395
- New version 5.7.1

* Fri Jul 08 2016 neoclust <neoclust> 1:5.7.0-1.mga6
+ Revision: 1039726
- New version 5.7.0

* Fri Jun 17 2016 neoclust <neoclust> 1:5.6.5-1.mga6
+ Revision: 1021871
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 1:5.6.4-1.mga6
+ Revision: 1014539
- New version 5.6.4

* Wed May 04 2016 neoclust <neoclust> 1:5.6.3-1.mga6
+ Revision: 1009276
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 1:5.6.2-1.mga6
+ Revision: 999260
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 1:5.6.1-1.mga6
+ Revision: 998015
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 1:5.6.0-1.mga6
+ Revision: 994390
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 1:5.5.95-2.mga6
+ Revision: 987039
- Rebuild against kf5 5.20.0

* Wed Mar 02 2016 neoclust <neoclust> 1:5.5.95-1.mga6
+ Revision: 983743
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 1:5.5.4-1.mga6
+ Revision: 927970
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 1:5.5.3-1.mga6
+ Revision: 922507
- New version 5.5.3

* Fri Dec 25 2015 neoclust <neoclust> 1:5.5.2-1.mga6
+ Revision: 914842
- New version 5.5.2

* Tue Dec 22 2015 neoclust <neoclust> 1:5.5.1-2.mga6
+ Revision: 913604
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 1:5.5.1-1.mga6
+ Revision: 910687
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 1:5.5.0-1.mga6
+ Revision: 908848
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 1:5.4.95-1.mga6
+ Revision: 904401
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 1:5.4.90-2.mga6
+ Revision: 900805
- Rebuild against fixed qtbase5

* Fri Nov 06 2015 neoclust <neoclust> 1:5.4.90-1.mga6
+ Revision: 898259
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 1:5.4.2-1.mga6
+ Revision: 889516
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 1:5.4.1-1.mga6
+ Revision: 874731
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 1:5.4.0-1.mga6
+ Revision: 869647
- New version 5.4.0

* Tue Aug 11 2015 neoclust <neoclust> 1:5.3.95-1.mga6
+ Revision: 862538
- New version 5.3.95

* Sat Jul 18 2015 neoclust <neoclust> 1:5.3.2-1.mga6
+ Revision: 854981
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 0.5.3-10.mga5
+ Revision: 745865
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.3-9.mga5
+ Revision: 681218
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.3-8.mga4
+ Revision: 506759
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.5.3-7.mga3
+ Revision: 356508
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 02 2012 zezinho <zezinho> 0.5.3-6.mga2
+ Revision: 227840
- add requires openssh-askpass-common as it does not work without it

* Wed Jan 26 2011 ahmad <ahmad> 0.5.3-5.mga1
+ Revision: 41455
- imported package ksshaskpass


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.3-4mdv2011.0
+ Revision: 612673
- the mass rebuild of 2010.1 packages

* Wed Apr 21 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.3-3mdv2010.1
+ Revision: 537698
- fix icon in the .desktop file

* Tue Jan 05 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.3-2mdv2010.1
+ Revision: 486467
- add docs in the package (notably the new README)

* Tue Jan 05 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.3-1mdv2010.1
+ Revision: 486465
- update to 0.5.3

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 0.5.1-2mdv2010.0
+ Revision: 438168
- rebuild

* Sun Nov 30 2008 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2009.1
+ Revision: 308553
- new version 0.5.1

* Mon Nov 24 2008 Funda Wang <fwang@mandriva.org> 0.5-2mdv2009.1
+ Revision: 306298
- should be triggerin

* Mon Nov 24 2008 Funda Wang <fwang@mandriva.org> 0.5-1mdv2009.1
+ Revision: 306280
- New version 0.5

* Mon Aug 18 2008 Funda Wang <fwang@mandriva.org> 0.4.1-2mdv2009.0
+ Revision: 273372
- patch merged upstream
- add man page

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.4.1

* Mon May 19 2008 Gustavo De Nardin <gustavodn@mandriva.com> 0.4-1mdv2009.0
+ Revision: 208873
- easier to install the binary in %%install than fixing the Cmake rules
- now buildrequires cmake
- updated to version 0.4
- updated upstream in Url and Source0
- don't package useless desktop file and icons, the app is not run by the user
- don't package unwritten documentation
- no need to update menus
- build with cmake
- P1: put binary in the same place as the other askpass binaries
- P0: fix exit status: must be >0 when the user cancels
- use update alternatives like the other askpass utilities
- updated to current license policy

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.3-3mdv2008.1
+ Revision: 140918
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Jan 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-3mdv2007.0
+ Revision: 109508
- fix xdg menu entry
- spec file clean
- add requires

* Wed Jan 03 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-2mdv2007.1
+ Revision: 103906
- fix build on x86_64
- Import ksshaskpass

